\begin{frame}{Rate Monotonic}

  \begin{block}{Concept}
    Rate Monotonic Scheduler (RM) is a dynamic scheduler with fixed priorities used to schedule periodic tasks on RTOS systems.\\
    
    The algorithm assigns the priority based on the frequency of the task, so the task with the lowest period has the highest priority.\\
    
    It is also a preemptive algorithm therefore when a higher priority task enters the ready
    queue, it preempts the current task.\\

    RM is an optimal scheduler, therefore, if a set of the task are schedulable in another
    fixed-priorities algorithm then it is also schedulable by RM.
  \end{block}

\end{frame}
